using ExpressionExecutorCuda
using Test

const baseFolder = dirname(dirname(pathof(ExpressionExecutorCuda)))
include(joinpath(baseFolder, "src", "ExpressionProcessing.jl"))
include(joinpath(baseFolder, "src", "Interpreter.jl"))
include(joinpath(baseFolder, "src", "Transpiler.jl"))

@testset "ExpressionExecutorCuda.jl" begin
	include("ExpressionProcessingTests.jl")
	include("InterpreterTests.jl")
	include("TranspilerTests.jl")
end
